.card
  .card-header
    h5.card-title.mb-0
      = t('labels.account.avatar')

  .card-body.pt-0
    = form_tag update_avatar_staffs_account_path, multipart: true,
               class: 'js-imageCropper-wrapper', remote: true, method: :patch,
               data: { confirm: t('confirmations.account.update_avatar') } do
      fieldset
        / Block: Info
        .js-avatar-info.d-none
          = render_announcements :info, t('announcements.account.avatar_will_be_resize_to_size', size: Settings.image.avatar_size)

        / Block: Announcements
        .js-avatar-announcements

        / Block: Preview Image
        .js-imageCropper-imageWrapper.mb-4.text-center
          = image_tag staff.avatar_image, class: 'js-imageCropper-image mw-100',
                                          data: { 'aspect-ratio': '1',
                                                  'start-size': '100|100|px',
                                                  'min-size': '100|100|px' }

        / Block: Cropping data
        = hidden_field_tag :offset_x, nil, { class: 'js-imageCropper-offsetX', id: nil }
        = hidden_field_tag :offset_y, nil, { class: 'js-imageCropper-offsetY', id: nil }
        = hidden_field_tag :width, nil, { class: 'js-imageCropper-width', id: nil }
        = hidden_field_tag :height, nil, { class: 'js-imageCropper-height', id: nil }

        / Button: Edit
        button.js-imageCropper-btnEdit.btn.btn-primary type='button'
          = t('actions.edit')

        .js-imageCropper-editGroup.d-flex.flex-1.d-none
          / Button: Cancel
          button.js-imageCropper-btnCancel.btn.btn-secondary.flex-shrink-0 type='button'
            = t('actions.cancel')

          .input-group.justify-content-end
            / Field: File
            label.js-imageCropper-btnChoose.btn.btn-light.border(
              for='#js-imageCropper-chooseFileInput'
              data-label-choose=t('actions.file.choose')
              data-label-chosen=t('actions.file.chosen')
            )
              = t('actions.file.choose')
            = file_field_tag :avatar, class: 'js-imageCropper-imageInput d-none',
                                      id: '#js-imageCropper-chooseFileInput',
                                      accept: ['image/png', 'image/jpg', 'image/jpeg'],
                                      data: { 'available-mimetypes': 'image/png|image/jpg|image/jpeg' }

            / Button: Save
            = button_tag nil, class: 'js-imageCropper-btnSave btn btn-primary', disabled: true do
              = t('actions.save_changes')
